%define upstream_name       Kwiki-Attachments
%define upstream_version    0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Kwiki Page Attachments Plugin
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Kwiki)
BuildArch:  noarch


%description
Kwiki::Attachments gives a Kwiki wiki the ability to upload, store and manage
file attachments on any page. By default, if you have an image creation module
such as Imager or Image::Magick installed, then a thumbnail will be created for
every supported image file type that is uploaded. Thumbnails are displayed on
the attachments page, and can also be displayed on wiki pages via the wafl
directives described in the next paragraph. The thumbnail files have "thumb_"
prepended to the original filename and are not displayed separately in the
attachment page or widget. For this reason, you cannot upload files beginning
with "thumb_".

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
rm -f ._Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#%{__make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-8.mga6
+ Revision: 1028973
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.210.0-7.mga6
+ Revision: 949072
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.210.0-6.mga5
+ Revision: 788906
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-5.mga5
+ Revision: 743107
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 685164
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 512475
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 368873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 37473
- mageia rebuild
- imported package perl-Kwiki-Attachments


* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 396752
- update to 0.21

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 389941
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.18-7mdv2009.0
+ Revision: 257393
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.18-6mdv2009.0
+ Revision: 245414
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-4mdv2008.1
+ Revision: 133634
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-3mdv2007.0
- Rebuild

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-2mdk
- better sources URL
- better buildrequires syntax

* Thu Jan 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdk
- first mandriva release

